{$align = $instance->getProperty(textPosHorizontal)}
{$justify = $instance->getProperty(textPosVertical)}
{if $instance->getProperty('padding') == 'p-0'}
    {$padding = '0'}
{elseif $instance->getProperty('padding') == 'p-1'}
    {$padding = '0.25rem'}
{elseif $instance->getProperty('padding') == 'p-2'}
    {$padding = '0.5rem'}
{elseif $instance->getProperty('padding') == 'p-3'}
    {$padding = '1rem'}
{elseif $instance->getProperty('padding') == 'p-4'}
    {$padding = '1.5rem'}
{elseif $instance->getProperty('padding') == 'p-5'}
    {$padding = '2rem'}
{elseif $instance->getProperty('padding') == 'p-6'}
    {$padding = '3rem'}
{elseif $instance->getProperty('padding') == 'p-7'}
    {$padding = '4rem'}
{elseif $instance->getProperty('padding') == 'p-8'}
    {$padding = '5rem'}
{/if}

{$padding = '0'}

{if $padding == 0}
    {$height = {$instance->getProperty('sliderheight')}}
{else}
    {$height = 'calc('|cat:$instance->getProperty('sliderheight')|cat:' + ( 2 * '|cat:$padding|cat:'))'}
{/if}

{if $instance->getProperty(direction) == 'rtl'}
    {if $align == 'start'} {$align = 'end'}
    {elseif $align == 'end'} {$align = 'start'} {/if}
{/if}
{if $isPreview}
    <div id="" class="{$instance->getStyleClasses()} {if $instance->getProperty('isGrey')} dzm-ls-is-gray{/if}" aria-label="DZM Image Slider" style="overflow:hidden;height:{$instance->getProperty('sliderheight')};{$instance->getStyleString()}">
        {* Ersatzbild einbauen *}
        {$slides = $instance->getProperty('slides')}
        {if $instance->getProperty('slides')|count > 0}

            <div class="splide__track" style="height: 100%;">
                <div class="splide__list" style="display: block">

                    {if !empty($slides[0].title) || !empty($slides[0].desc)}
                        {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                    {else}
                        {$slideTitle = ''}
                    {/if}

                    {if !empty($slides[0].url)}
                        {$imgAttribs = $instance->getImageAttributes($slides[0].url, $slides[0].alt, $slides[0].title)}
                        <div class="splide__slide is-active" style="height: 100%;">
                            {if !empty($slide.link)}
                            <a href="{$slide.link}"
                               {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                               class="dzm-opcis-link">
                                        {/if}
                                        {$svgSrc = {Shop::getURL()}|cat:'/'|cat:{$smarty.const.PFAD_MEDIA_IMAGE}|cat:'storage/opc/'|cat:{$slide.url}}
                                        <div class="dzm-opcis-content-wrapper" {if $instance->getProperty('isBackground')} style="background-image:url({if $slide.url|strstr:'.svg'}  {$svgSrc} {else} {$imgAttribs.src}{/if});background-position:{$instance->getProperty('backgroundPosition')}; {/if}">
                                            {if $instance->getProperty('isBackground') == false}
                                                {if $slide.url|strstr:'.svg'}
                                                    {image src=$svgSrc}
                                                {else}
                                                    {image
                                                    srcset=$imgAttribs.srcset
                                                    sizes=$imgAttribs.srcsizes
                                                    src=$imgAttribs.src
                                                    alt=$imgAttribs.alt|escape:'html'
                                                    title=$slideTitle|escape:'html'
                                                    data=['desc' => $slide.desc|escape:'html']
                                                    class='dzm-opcis-img'}
                                                {/if}
                                            {/if}
                                        <div class="dzm-opcis-content-container d-flex flex-column justify-content-{$justify} align-items-{$align}" style="background-color: {$instance->getProperty('overlayColor')}">
                                            {if $slides[0].title!="" || $slides[0].desc != ""}
                                                <div class="container d-flex flex-grow-0 justify-content-{$align} align-items-{$justify}">
                                                    <div class="{$instance->getProperty('paddingTextbox')} {$instance->getProperty('marginTextbox')} d-flex flex-column justify-content-{$justify} align-items-{$align} dzm-is-slide-text" style="background-color: {$instance->getProperty('textBackgroundColor')};border-radius: {$instance->getProperty('textBorderRadius')}px;">
                                                        <p class="h1 bold dzm-is-slide-text"><span style="color:{$instance->getProperty('color')};font-weight:{$instance->getProperty('customHeadlineWeight')};">{$slides[0].title}<span/></p>
                                                        <p style="color:{$instance->getProperty('color')};font-weight:{$instance->getProperty('customSubheaderWeight')};" class="h2 bold dzm-is-slide-text" >{$slides[0].desc}</p>
                                                    </div>
                                                </div>
                                            {/if}
                                        </div>

                                        {if empty($slide.link)}
                                    </div>
                                    {else}
                                </div>
                            </a>
                            {/if}
                        </div>
                    {/if}


                </div>
            </div>
        {/if}


    </div>

{else}
    {if $instance->getProperty('blockId') != ''}
        {$uid="{$instance->getProperty('blockId')}" }
    {else}
        {$uid = $instance->getUid()}
    {/if}

    {if $instance->getProperty('cutSplideTrack') == true}
        <style>
            @media screen and (min-width:567px) {
                #{$uid} .splide__arrows .splide__arrow.splide__arrow--prev {
                left: 5rem;
            }
                #{$uid} .splide__arrows .splide__arrow.splide__arrow--next {
                right: 5rem;
            }
            }
        </style>
    {/if}


    <div id="{$uid}" class="splide p-0 {$instance->getStyleClasses()} {if $instance->getProperty('isGrey')} dzm-ls-is-gray{/if}" aria-label="DZM Image Slider" style="height:{$height}; {$instance->getStyleString()}">
        {if $instance->getProperty('slides')|count > 0}
            <div class="splide__track dzm-opcis-track {if {$instance->getProperty('direction')} == 'ttb'} d-flex justify-content-center{/if}">
                <div class="splide__list {if {$instance->getProperty('direction')} != 'ttb'} d-flex align-items-center {/if}">

                    {foreach $instance->getProperty('slides') as $i => $slide}
                        {if !empty($slide.title) || !empty($slide.desc)}
                            {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                        {else}
                            {$slideTitle = ''}
                        {/if}

                        {if !empty($slide.url)}
                            {$imgAttribs = $instance->getImageAttributes($slide.url, $slide.alt, $slide.title)}
                            <div class="splide__slide">
                                {if !empty($slide.link)}
                                    <a href="{$slide.link}"
                                        {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                                        class="dzm-opcis-link">
                                {/if}
                                        {$svgSrc = {Shop::getURL()}|cat:'/'|cat:{$smarty.const.PFAD_MEDIA_IMAGE}|cat:'storage/opc/'|cat:{$slide.url}}
                                        <div class="dzm-opcis-content-wrapper" {if $instance->getProperty('isBackground')} style="background-image:url({if $slide.url|strstr:'.svg'}  {$svgSrc} {else} {$imgAttribs.src}{/if});background-position:{$instance->getProperty('backgroundPosition')}; {/if}">
                                            {if $instance->getProperty('isBackground') == false}
                                                {if $slide.url|strstr:'.svg'}
                                                    {image src=$svgSrc}
                                                {else}
                                                    {image
                                                    srcset=$imgAttribs.srcset
                                                    sizes=$imgAttribs.srcsizes
                                                    src=$imgAttribs.src
                                                    alt=$imgAttribs.alt|escape:'html'
                                                    title=$slideTitle|escape:'html'
                                                    data=['desc' => $slide.desc|escape:'html']
                                                    class='dzm-opcis-img'}
                                                {/if}
                                            {/if}
                                            <div class="dzm-opcis-content-container d-flex flex-column justify-content-{$justify} align-items-{$align}" style="background-color: {$instance->getProperty('overlayColor')}">
                                                {if $slide.title!="" || $slide.desc != "" }
                                                    <div class="container d-flex flex-grow-0 justify-content-{$align} align-items-{$justify}">
                                                        <div class="{$instance->getProperty('paddingTextbox')} {$instance->getProperty('marginTextbox')} d-flex flex-column justify-content-{$justify} align-items-{$align} dzm-is-slide-text" style="background-color: {$instance->getProperty('textBackgroundColor')};border-radius: {$instance->getProperty('textBorderRadius')}px;">
                                                            <p class="h1 dzm-is-slide-text"><span style="color:{$instance->getProperty('color')}; font-weight:{$instance->getProperty('customHeadlineWeight')}; ">{$slide.title}</span></p>
                                                            <p class="h2 dzm-is-slide-text"><span style="color:{$instance->getProperty('color')}; font-weight:{$instance->getProperty('customSubheaderWeight')};">{$slide.desc}</span></p>
                                                            {if !empty($slide.link)}
                                                                {include file='../../../dzm_resources/Portlets/Snippets/button.tpl' isFakeBtn=true}
                                                            {/if}
                                                        </div>
                                                    </div>
                                                {/if}
                                            </div>

                                {if empty($slide.link)}
                                        </div>
                                {else}

                                        </div>
                                    </a>
                                {/if}
                            </div>
                        {/if}
                    {/foreach}


                </div>
            </div>
        {/if}


    </div>
    <script>
        document.addEventListener( 'DOMContentLoaded', function() {
            let splide = new Splide( '#{$uid}', {
                type   : 'loop',
                width   : '{$instance->getProperty('width')}',
                height   : '{$instance->getProperty('sliderheight')}',
                {if $instance->getProperty('useClones')}clones:'{$instance->getProperty('clones')}',{/if}
                arrows: {if $instance->getProperty('arrows')}true{else}false{/if},
                {if $instance->getProperty('arrowType') == 1}
                    arrowPath:'M 4.388 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 20.7869 20.032 L 4.388 3.636 a 1.452 1.452 90 0 1 0 -2.056 z M 16.004 1.58 a 1.452 1.452 90 0 1 2.056 0 l 17.424 17.424 a 1.452 1.452 90 0 1 0 2.056 l -17.424 17.424 a 1.452 1.452 90 0 1 -2.056 -2.056 L 32.4029 20.032 L 16.004 3.636 a 1.452 1.452 90 0 1 0 -2.056 z',
                {elseif $instance->getProperty('arrowType') == 2}
                    arrowPath:'M 2 21 a 2.25 2.25 90 0 1 2.25 -2.25 h 26.0685 L 20.657 9.093 a 2.25 2.25 90 1 1 3.186 -3.186 l 13.5 13.5 a 2.25 2.25 90 0 1 0 3.186 l -13.5 13.5 a 2.25 2.25 90 0 1 -3.186 -3.186 L 30.3185 23.25 H 4.25 A 2.25 2.25 90 0 1 2 21 z',
                {else}
                    arrowPath:'M 11.0058 2.2077 a 1.3997 1.3997 90 0 1 1.9819 0 l 16.7962 16.7962 a 1.3997 1.3997 90 0 1 0 1.9819 l -16.7962 16.7962 a 1.3997 1.3997 90 0 1 -1.9819 -1.9819 L 26.8138 19.9949 L 11.0058 4.1897 a 1.3997 1.3997 90 0 1 0 -1.9819 z',
                {/if}
                pagination: {if $instance->getProperty('pagination')}true{else}false{/if},
                paginationDirection: '{$instance->getProperty('direction')}',
                direction: '{$instance->getProperty('direction')}',
                speed: '{$instance->getProperty('speed')}',
                drag: {if $instance->getProperty('drag')}true{else}false{/if},
                rewind: {if $instance->getProperty('rewind')}true{else}false{/if},
                rewindSpeed: '{$instance->getProperty('rewindSpeed')}',
                rewindByDrag: {if $instance->getProperty('rewindByDrag')}true{else}false{/if},
                autoplay: {if $instance->getProperty('autoplay')}true{else}false{/if},
                interval: '{$instance->getProperty('interval')}',
                pauseOnHover: {if $instance->getProperty('pauseOnHover')}true{else}false{/if},
                pauseOnFocus: {if $instance->getProperty('pauseOnFocus')}true{else}false{/if},
                perPage: '{$instance->getProperty('xl')}',
                {if $instance->getProperty('cutSplideTrack') == true}padding: { left: '5rem', right: '5rem' },{/if}
                breakpoints:{
                    576:{
                        perPage:'{$instance->getProperty('xs')}',
                        perMove:'{$instance->getProperty('perMove')}',
                        {if $instance->getProperty('cutSplideTrack') == true}padding: { left: '0', right: '0' },{/if}
                    },
                    768:{
                        perPage:'{$instance->getProperty('s')}',
                        perMove:'{$instance->getProperty('sPerMove')}',
                        {if $instance->getProperty('cutSplideTrack') == true}padding: { left: '5rem', right: '5rem' },{/if}
                    },
                    992:{
                        perPage:'{$instance->getProperty('m')}',
                        perMove:'{$instance->getProperty('mPerMove')}',
                        {if $instance->getProperty('cutSplideTrack') == true}padding: { left: '5rem', right: '5rem' },{/if}
                    },
                    1300:{
                        perPage:'{$instance->getProperty('l')}',
                        perMove:'{$instance->getProperty('lPerMove')}',
                        {if $instance->getProperty('cutSplideTrack') == true}padding: { left: '5rem', right: '5rem' },{/if}
                    }
                },
                perMove: '{$instance->getProperty('xlPerMove')}',
                gap: '{$instance->getProperty('gap')}',
                {if $instance->getProperty('fixedWidth') != ''}
                fixedWidth: '{$instance->getProperty('fixedWidth')}',
                {/if}
                {if $instance->getProperty('fixedHeight') != ''}
                fixedHeight: '{$instance->getProperty('fixedHeight')}',
                {/if}
                autoWidth: {if $instance->getProperty('autoWidth')}true{else}false{/if},
                autoHeight: {if $instance->getProperty('autoHeight')}true{else}false{/if},
                {if $instance->getProperty('heightRatio') != ''}
                heightRatio: '{$instance->getProperty('heightRatio')}',
                {/if}
                focus:'center',
                cloneStatus: false,


            } );

            splide.on( 'overflow', function ( isOverflow ) {
                splide.options = {
                    arrows    : {if $instance->getProperty('arrows')} isOverflow {else} false {/if},
                    pagination: {if $instance->getProperty('pagination')} isOverflow {else} false {/if},
                    drag      : {if isOverflow} '{$instance->getProperty('drag')}' {else} false {/if},
                };
            } );

            splide.mount();
        } );
    </script>
{/if}





