{$boxStyles = $instance->getProperty('box-styles')}
{$paddingClasses = ''}
{if empty($boxStyles['padding-top'])}
    {$paddingClasses=$paddingClasses|cat:' pt-0 '}
{/if}
{if empty($boxStyles['padding-bottom'])}
    {$paddingClasses=$paddingClasses|cat:' pb-0 '}
{/if}
<{$instance->getProperty('containerType')} id="{$instance->getProperty('blockId')}" class="  dzm-section-wrapper {$paddingClasses} {$instance->getStyleClasses()}"  style="{$instance->getStyleString()};{if $instance->getProperty('boxShadow')}box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.1);{/if}">
    {$areaId='dzm-section'}
    {if $instance->getProperty('containerWidth') === 'boxed'}
        {$containerClass=' container '}
    {elseif $instance->getProperty('containerWidth') === 'wide'}
        {$containerClass=' container-fluid container-fluid-xl '}
    {elseif $instance->getProperty('containerWidth') === 'stretch'}
        {$containerClass=' container-fluid '}

    {/if}
    <div class="{$containerClass} {if $instance->getProperty('gapless')} px-0 {/if}" style="min-height:{$instance->getProperty('minHeight')};">
        <div {if $isPreview}data-area-id="{$areaId}"{/if} class="opc-area">
            {if $isPreview}
                {$instance->getSubareaPreviewHtml($areaId)}
            {else}
                {$instance->getSubareaFinalHtml($areaId)}
            {/if}
        </div>
    </div>

</{$instance->getProperty('containerType')}>

